package infinispanclientdemo;

import infinispanDemo.ICacheDemo;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

public class InfinispanClientDemo {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception{
		new InfinispanClientDemo();

	}
	public InfinispanClientDemo() throws Exception {
		Properties properties = new Properties();

		properties.put("java.naming.factory.url.pkgs",
				"org.jboss.naming:org.jnp.interfaces");
		properties.put("java.naming.factory.initial",
				"org.jboss.iiop.naming.ORBInitialContextFactory");
		properties.put("connection.provider.url", "127.0.0.1");

		Context context = new InitialContext(properties);
		ICacheDemo bean = (ICacheDemo) context
				.lookup("CacheDemo/remote");
		System.out.println(bean);
		bean.start();

	}
}
